0

I'm trying to install a defined version node-v0.10.16-linux-x64 on CentOS 6.5. And following dependencies:

Python 2.6.6 (r266:84292, Jan 22 2014, 09:42:36)
gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-4)

But when I've tried to ./configure I realized there is no file:

# ls -lsa node-v0.10.16-linux-x64
total 192
  4 drwxr-xr-x. 5 root root   4096 Aug 16  2013 .
  4 drwxr-xr-x. 3 root root   4096 Oct 28 09:29 ..
  4 drwxr-xr-x. 2 root root   4096 Aug 16  2013 bin
124 -rw-r--r--. 1 root root 124984 Aug 16  2013 ChangeLog
  4 drwxr-xr-x. 4 root root   4096 Aug 16  2013 lib
 44 -rw-r--r--. 1 root root  41356 Aug 16  2013 LICENSE
  4 -rw-r--r--. 1 root root   1635 Aug 16  2013 README.md
  4 drwxr-xr-x. 3 root root   4096 Aug 16  2013 share

So how can i install this specific version?

// I've ridden How do you install Node.JS on CentOS?, but it wasn't helpfull in my case

0

I think you have downloaded the wrong file. You need the full source to be able to do this.

Please look at this one:

cd /tmp
wget http://nodejs.org/dist/v0.10.16/node-v0.10.16.tar.gz
tar -xvzf node-v0.10.16.tar.gz
ls -l node-v0.10.16/

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.